## krdc 18.04.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(krdc)

set (KDE_APPLICATIONS_VERSION_MAJOR "18")
set (KDE_APPLICATIONS_VERSION_MINOR "04")
set (KDE_APPLICATIONS_VERSION_MICRO "1")

set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

find_package(KF5 REQUIRED COMPONENTS
    Config
    KCMUtils
    DNSSD
    NotifyConfig
    Notifications
    Bookmarks
    IconThemes
    XmlGui
    Completion
    Wallet
    WidgetsAddons
    NotifyConfig
    I18n
)

find_package(KF5DocTools)

include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)

# use sane compile flags
add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
  -DQT_USE_FAST_OPERATOR_PLUS
)
ecm_setup_version(${KDE_APPLICATIONS_VERSION}
    VARIABLE_PREFIX KRDC
    SOVERSION 5
    VERSION_HEADER krdc_version.h
)

if(WIN32)
    set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
    set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
endif(WIN32)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

find_package(LibVNCServer)
set_package_properties("libvncserver" PROPERTIES
    DESCRIPTION "VNC server / client library"
    URL "http://libvncserver.sourceforge.net/"
    PURPOSE "Needed to build VNC client support in KRDC"
)

# Needs porting
FIND_PROGRAM(FREERDP_EXECUTABLE xfreerdp)
if(FREERDP_EXECUTABLE)
    set(FREERDP_EXECUTABLE_FOUND true)
endif(FREERDP_EXECUTABLE)

set_package_properties("freerdp" PROPERTIES
        DESCRIPTION "A free Remote Desktop Protocol (RDP) Implementation"
        URL "http://www.freerdp.com"
        PURPOSE "Needed for RDP support in KRDC (at runtime)"
                                     )
# NX support is not ready for KDE 4.2; disabled (uwolfer)
# macro_optional_find_package(LibNXCL)
# macro_log_feature(LIBNXCL_FOUND "libnxcl" "NX X compression client library" "http://svn.berlios.de/svnroot/repos/freenx/trunk/freenx-client/nxcl/" FALSE "1.0" "Needed to build Krdc with NX support")

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/core/
    ${CMAKE_CURRENT_BINARY_DIR}/core/
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_subdirectory(core)
add_subdirectory(vnc)
add_subdirectory(nx)
add_subdirectory(rdp)
add_subdirectory(test)

if(KF5DocTools_FOUND)
    add_subdirectory(doc)
else()
    message("KF5DocTools not found. Not building documentation.")
endif()

add_definitions(-DBUILD_ZEROCONF)

set(krdc_SRCS
    config/hostpreferenceslist.cpp
    config/preferencesdialog.cpp
    floatingtoolbar.cpp
    bookmarkmanager.cpp
    connectiondelegate.cpp
    remotedesktopsmodel.cpp
    systemtrayicon.cpp
    tabbedviewwidget.cpp
    mainwindow.cpp
    main.cpp
)

ki18n_wrap_ui(krdc_SRCS
    config/general.ui
)

ecm_qt_declare_logging_category(krdc_SRCS HEADER krdc_debug.h IDENTIFIER KRDC CATEGORY_NAME KRDC)

add_executable(krdc ${krdc_SRCS})

target_link_libraries(krdc
    KF5::ConfigCore
    KF5::KCMUtils
    KF5::DNSSD
    KF5::NotifyConfig
    KF5::Bookmarks
    KF5::IconThemes
    KF5::XmlGui
    KF5::Completion
    KF5::WidgetsAddons
    KF5::NotifyConfig
    KF5::Notifications
    krdccore
)

install(TARGETS krdc ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES krdcui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/krdc)
install(PROGRAMS org.kde.krdc.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES pointcursor.png pointcursormask.png DESTINATION ${DATA_INSTALL_DIR}/krdc/pics)
install(FILES org.kde.krdc.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== konsole/CMakeLists.txt ===
set(BUILD_KONSOLE true)
if (BUILD_KONSOLE)
  set(konsoleplugin_SRCS
      konsoleviewfactory.cpp
      konsoleview.cpp
  )

  add_library(krdc_konsoleplugin ${konsoleplugin_SRCS})

  kcoreaddons_desktop_to_json(krdc_konsoleplugin krdc_test.desktop)

  find_package(KF5 REQUIRED COMPONENTS Parts)
  target_link_libraries(krdc_konsoleplugin
          Qt5::Core
          KF5::Wallet
          KF5::ConfigCore
          KF5::Parts
          Qt5::Gui
          krdccore
      )

   install(TARGETS krdc_konsoleplugin DESTINATION ${PLUGIN_INSTALL_DIR}/krdc)
endif(BUILD_KONSOLE)

=== debian/changelog ===
krdc (4:18.04.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump debhelper build-dep and compat to 11.
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * New upstream release (18.04.1).
  * use secure copyright format uri.
  * update copyright file for new upstream.
  * Replaceed freerdp-x11 with freerdp2-x11 (Closes: #898149)

 -- Sandro Knauß <hefee@debian.org>  Wed, 23 May 2018 01:10:11 +0200

krdc (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update uploaders list as requested by MIA team (Closes: #879366)

  [ Pino Toscano ]
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Stop forcing debian/tmp as local installation directory, installing
    everything to the final location
    - drop krdc.install, and not-installed, no more useful now
    - make sure to not ship the development files

 -- Pino Toscano <pino@debian.org>  Sat, 02 Dec 2017 15:51:08 +0100

krdc (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:02:57 +0000

krdc (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:38:39 +0000

krdc (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:23:20 +0000

krdc (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:23:03 +0000

krdc (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:22:02 +0000

krdc (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:05:40 +0000

krdc (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:49:50 +0000

krdc (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:01:51 +0000

krdc (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:21:19 +0000

krdc (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:30:13 +0000

krdc (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:59 +0000

krdc (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:40:55 +0000

krdc (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:07:32 +0000

krdc (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:49:41 +0000

krdc (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Jul 2016 16:36:47 +0000

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DHAVE_XFREERDP=true

override_dh_auto_install:
	$(overridden_command)
	# Drop development files
	rm -rf debian/krdc/usr/include/
	find debian/krdc -name '*.so' -type l -delete

override_dh_strip:
	dh_strip --dbgsym-migration='krdc-dbg (<= 4:15.12.0-1~~)'

## krdc 18.04.3

=== debian/changelog ===
krdc (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:20:21 +0100

## krdc 18.12.3

=== debian/changelog ===
krdc (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:31:32 +0000

krdc (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:18:41 +0000

krdc (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:12:54 +0000

krdc (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:51:06 +0000

krdc (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Optional build dep on libssh-dev.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Dec 2018 18:13:36 +0000

## krdc 19.04.3

=== debian/changelog ===
krdc (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:17:11 +0100

krdc (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:10:10 +0100

krdc (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:00:54 +0100

krdc (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:46:25 +0100

## krdc 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,26 @@
-cmake_minimum_required(VERSION 2.8.12)
-project(krdc)
+cmake_minimum_required(VERSION 3.0)
 
-set (KDE_APPLICATIONS_VERSION_MAJOR "18")
-set (KDE_APPLICATIONS_VERSION_MINOR "04")
-set (KDE_APPLICATIONS_VERSION_MICRO "1")
+set (KDE_APPLICATIONS_VERSION_MAJOR "19")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MICRO "3")
 
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
-find_package(ECM REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+project(krdc VERSION ${KDE_APPLICATIONS_VERSION})
 
-find_package(KF5 REQUIRED COMPONENTS
+set (KF_MIN_VERSION "5.25.0")
+
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
+
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+include(ECMSetupVersion)
+include(ECMQtDeclareLoggingCategory)
+include(FeatureSummary)
+
+find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Config
     KCMUtils
     DNSSD
@@ -22,18 +32,19 @@
     Completion
     Wallet
     WidgetsAddons
+    WindowSystem
     NotifyConfig
     I18n
 )
 
 find_package(KF5DocTools)
 
-include(ECMSetupVersion)
-include(ECMQtDeclareLoggingCategory)
-include(KDEInstallDirs)
-include(KDECompilerSettings NO_POLICY_SCOPE)
-include(KDECMakeSettings)
-include(FeatureSummary)
+if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
+    if (NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS "5.0.0")
+        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsuggest-override" )
+    endif()
+endif()
+
 
 # use sane compile flags
 add_definitions(
@@ -44,7 +55,6 @@
   -DQT_NO_URL_CAST_FROM_STRING
   -DQT_NO_CAST_FROM_BYTEARRAY
   -DQT_NO_SIGNALS_SLOTS_KEYWORDS
-  -DQT_USE_FAST_OPERATOR_PLUS
 )
 ecm_setup_version(${KDE_APPLICATIONS_VERSION}
     VARIABLE_PREFIX KRDC
@@ -56,10 +66,6 @@
     set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
     set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
 endif(WIN32)
-add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
-include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
-
-set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
 find_package(LibVNCServer)
 set_package_properties("libvncserver" PROPERTIES
@@ -68,17 +74,32 @@
     PURPOSE "Needed to build VNC client support in KRDC"
 )
 
+find_package(LibSSH)
+set_package_properties("libssh" PROPERTIES
+    DESCRIPTION "ssh library"
+    URL "https://libssh.org/"
+    PURPOSE "Needed to build VNC+SSH tunnel support "
+)
+
 # Needs porting
-FIND_PROGRAM(FREERDP_EXECUTABLE xfreerdp)
+find_program(FREERDP_EXECUTABLE xfreerdp)
 if(FREERDP_EXECUTABLE)
+    set(FREERDP_FOUND true) # mark the package found
     set(FREERDP_EXECUTABLE_FOUND true)
 endif(FREERDP_EXECUTABLE)
 
-set_package_properties("freerdp" PROPERTIES
+# dud to allow the dep showing up in feature summary.
+# note that this must be after _FOUND is set so it doesn't incorrectly
+# set the metadata to not-found.
+find_package(freerdp QUIET)
+
+set_package_properties(freerdp PROPERTIES
         DESCRIPTION "A free Remote Desktop Protocol (RDP) Implementation"
-        URL "http://www.freerdp.com"
-        PURPOSE "Needed for RDP support in KRDC (at runtime)"
-                                     )
+        URL "https://www.freerdp.com/"
+        PURPOSE "The xfreerdp binary is needed for RDP support in KRDC (at runtime)"
+        TYPE RUNTIME
+)
+
 # NX support is not ready for KDE 4.2; disabled (uwolfer)
 # macro_optional_find_package(LibNXCL)
 # macro_log_feature(LIBNXCL_FOUND "libnxcl" "NX X compression client library" "http://svn.berlios.de/svnroot/repos/freenx/trunk/freenx-client/nxcl/" FALSE "1.0" "Needed to build Krdc with NX support")

=== debian/changelog ===
krdc (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:13:09 +0000

krdc (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:23:00 +0000

krdc (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:57:11 +0000

krdc (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:50:54 +0000

krdc (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:35:33 +0000

=== debian/control ===
Source: krdc
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules,
               libkf5bookmarks-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5dnssd-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kcmutils-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libssh-dev,
               libvncserver-dev (>= 0.9.8.1),
               pkg-kde-tools (>= 0.12),
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc

Package: krdc
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: freerdp2-x11
Suggests: khelpcenter, krfb
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-l10npkgs_firstversion_ok := 4:16.04.3-6~
+l10npkgs_firstversion_ok := 4:17.03.90-0~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

## krdc 20.08.1

=== debian/changelog ===
krdc (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:57:51 +0100

krdc (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 00:24:33 +0200

krdc (4:20.04.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Add missing license paragraph for BSD-3-clause.

  [ Pino Toscano ]
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0
    - bump KF packages to 5.25.0
    - add libkf5windowsystem-dev, and libssh-dev
    - explicitly add gettext
  * Drop the migration from krdc-dbg, no more needed after two Debian stable
    releases.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add the configuration for the CI on salsa.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update lintian overrides.
  * Suggest freerdp2-wayland on Linux architectures, as it is the xfreerdp
    client to use when running with Wayland.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Aug 2020 17:41:37 +0200

=== debian/control ===
Source: krdc
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.25.0~),
               gettext,
               libkf5bookmarks-dev (>= 5.25.0~),
               libkf5completion-dev (>= 5.25.0~),
               libkf5config-dev (>= 5.25.0~),
               libkf5dnssd-dev (>= 5.25.0~),
               libkf5doctools-dev,
               libkf5i18n-dev (>= 5.25.0~),
               libkf5iconthemes-dev (>= 5.25.0~),
               libkf5kcmutils-dev (>= 5.25.0~),
               libkf5notifications-dev (>= 5.25.0~),
               libkf5notifyconfig-dev (>= 5.25.0~),
               libkf5wallet-dev (>= 5.25.0~),
               libkf5widgetsaddons-dev (>= 5.25.0~),
               libkf5windowsystem-dev (>= 5.25.0~),
               libkf5xmlgui-dev (>= 5.25.0~),
               libssh-dev,
               libvncserver-dev (>= 0.9.8.1),
               pkg-kde-tools (>= 0.12),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdc
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdc.git

Package: krdc
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: freerdp2-x11
Suggests: khelpcenter, krfb, freerdp2-wayland [linux-any]
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DHAVE_XFREERDP=true

override_dh_auto_install:
	dh_auto_install
	# Drop development files
	rm -rf debian/krdc/usr/include/
	find debian/krdc -name '*.so' -type l -delete

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## krdc 20.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,16 @@
 cmake_minimum_required(VERSION 3.0)
 
-set (KDE_APPLICATIONS_VERSION_MAJOR "19")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 
-set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-project(krdc VERSION ${KDE_APPLICATIONS_VERSION})
+project(krdc VERSION ${RELEASE_SERVICE_VERSION})
 
-set (KF_MIN_VERSION "5.25.0")
+set (KF5_MIN_VERSION "5.25.0")
 
-find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
@@ -20,7 +20,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(FeatureSummary)
 
-find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     Config
     KCMUtils
     DNSSD
@@ -56,7 +56,7 @@
   -DQT_NO_CAST_FROM_BYTEARRAY
   -DQT_NO_SIGNALS_SLOTS_KEYWORDS
 )
-ecm_setup_version(${KDE_APPLICATIONS_VERSION}
+ecm_setup_version(${RELEASE_SERVICE_VERSION}
     VARIABLE_PREFIX KRDC
     SOVERSION 5
     VERSION_HEADER krdc_version.h
@@ -100,10 +100,6 @@
         TYPE RUNTIME
 )
 
-# NX support is not ready for KDE 4.2; disabled (uwolfer)
-# macro_optional_find_package(LibNXCL)
-# macro_log_feature(LIBNXCL_FOUND "libnxcl" "NX X compression client library" "http://svn.berlios.de/svnroot/repos/freenx/trunk/freenx-client/nxcl/" FALSE "1.0" "Needed to build Krdc with NX support")
-
 include_directories(
     ${CMAKE_CURRENT_SOURCE_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}/core/
@@ -113,7 +109,6 @@
 
 add_subdirectory(core)
 add_subdirectory(vnc)
-add_subdirectory(nx)
 add_subdirectory(rdp)
 add_subdirectory(test)
 
@@ -164,7 +159,6 @@
 install(TARGETS krdc ${INSTALL_TARGETS_DEFAULT_ARGS})
 install(FILES krdcui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/krdc)
 install(PROGRAMS org.kde.krdc.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
-install(FILES pointcursor.png pointcursormask.png DESTINATION ${DATA_INSTALL_DIR}/krdc/pics)
 install(FILES org.kde.krdc.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== doc/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR krdc)

=== debian/changelog ===
krdc (4:20.12.3-1) unstable; urgency=medium

  * Update upstream release signing key.
  * New upstream release (20.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Mar 2021 15:15:43 +0100

krdc (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 Jan 2021 21:37:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,8 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           George Kiagiadakis <kiagiadakis.george@gmail.com>,
-           Eshat Cakar <info@eshat.de>,
-           Maximiliano Curia <maxy@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.25.0~),
@@ -28,9 +25,9 @@
                libssh-dev,
                libvncserver-dev (>= 0.9.8.1),
                pkg-kde-tools (>= 0.12),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.kde.org/
+Homepage: https://apps.kde.org/en/krdc
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdc
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdc.git
 
@@ -40,8 +37,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: freerdp2-x11
 Suggests: khelpcenter, krfb, freerdp2-wayland [linux-any]
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
 Description: Remote Desktop Connection client
  The KDE Remote Desktop Connection client can view and control a desktop
  session running on another system.  It can connect to Windows Terminal Servers

## krdc 21.08.0

=== debian/changelog ===
krdc (4:21.08.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Add freerdp2-x11 also as build dependency, as apparently newer upstream
    versions only build the RDP plugin when that runtime executable is found
    at build time; thanks to Paul Hoskinson for spotting it.
    (Closes: #992608)

 -- Pino Toscano <pino@debian.org>  Sat, 21 Aug 2021 10:14:58 +0200

krdc (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:24:22 +0900

krdc (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 10:42:51 +0900

=== debian/control ===
Source: krdc
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.83.0~),
               freerdp2-x11,
               gettext,
               libkf5bookmarks-dev (>= 5.83.0~),
               libkf5completion-dev (>= 5.83.0~),
               libkf5config-dev (>= 5.83.0~),
               libkf5dnssd-dev (>= 5.83.0~),
               libkf5doctools-dev,
               libkf5i18n-dev (>= 5.83.0~),
               libkf5iconthemes-dev (>= 5.83.0~),
               libkf5kcmutils-dev (>= 5.83.0~),
               libkf5notifications-dev (>= 5.83.0~),
               libkf5notifyconfig-dev (>= 5.83.0~),
               libkf5wallet-dev (>= 5.83.0~),
               libkf5widgetsaddons-dev (>= 5.83.0~),
               libkf5windowsystem-dev (>= 5.83.0~),
               libkf5xmlgui-dev (>= 5.83.0~),
               libssh-dev,
               libvncserver-dev (>= 0.9.8.1),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/krdc
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdc
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdc.git

Package: krdc
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: freerdp2-x11
Suggests: freerdp2-wayland [linux-any], khelpcenter, krfb
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DHAVE_XFREERDP=true

execute_after_dh_auto_install:
	# Drop development files
	rm -rf debian/krdc/usr/include/
	find debian/krdc -name '*.so' -type l -delete

## krdc 21.08.1

=== debian/changelog ===
krdc (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:37:25 +0100

krdc (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:06:37 +0100

krdc (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:00:37 +0100

krdc (4:21.07.80-0ubuntu3) impish; urgency=medium

  * Build time depend on freerdp2-x11, as cmake now dumbly checks for
    this.

 -- Rik Mills <rikmills@kde.org>  Wed, 21 Jul 2021 14:48:51 +0100

krdc (4:21.07.80-0ubuntu2) impish; urgency=medium

  * Promote freerdp2-x11 to a runtime Depends.

 -- Rik Mills <rikmills@kde.org>  Wed, 21 Jul 2021 12:42:52 +0100

krdc (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:36:35 +0100

krdc (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:47:48 +0100

krdc (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:53:59 +0100

krdc (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:11:23 +0100

krdc (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:41:29 +0100

=== debian/control ===
Source: krdc
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.25.0~),
               freerdp2-x11,
               gettext,
               libkf5bookmarks-dev (>= 5.25.0~),
               libkf5completion-dev (>= 5.25.0~),
               libkf5config-dev (>= 5.25.0~),
               libkf5dnssd-dev (>= 5.25.0~),
               libkf5doctools-dev,
               libkf5i18n-dev (>= 5.25.0~),
               libkf5iconthemes-dev (>= 5.25.0~),
               libkf5kcmutils-dev (>= 5.25.0~),
               libkf5notifications-dev (>= 5.25.0~),
               libkf5notifyconfig-dev (>= 5.25.0~),
               libkf5wallet-dev (>= 5.25.0~),
               libkf5widgetsaddons-dev (>= 5.25.0~),
               libkf5windowsystem-dev (>= 5.25.0~),
               libkf5xmlgui-dev (>= 5.25.0~),
               libssh-dev,
               libvncserver-dev (>= 0.9.8.1),
               pkg-kde-tools (>= 0.12),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/krdc
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdc
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdc.git

Package: krdc
Section: net
Architecture: any
Depends: freerdp2-x11, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter, krfb, freerdp2-wayland [linux-any]
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.

## krdc 21.12.3

=== core/CMakeLists.txt ===
include(GenerateExportHeader)

add_library(krdccore SHARED)
set_target_properties(krdccore PROPERTIES
    VERSION   ${KRDC_VERSION}
    SOVERSION ${KRDC_SOVERSION}
)

target_sources(krdccore PRIVATE
    remoteviewfactory.cpp
    remoteview.cpp
    hostpreferences.cpp
)

kconfig_add_kcfg_files(krdccore settings.kcfgc)

ecm_qt_declare_logging_category(krdccore
    HEADER krdc_debug.h
    IDENTIFIER KRDC
    CATEGORY_NAME KRDC
)

generate_export_header(krdccore BASE_NAME krdccore)

target_link_libraries(krdccore
    Qt::Core
    KF5::Wallet
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::WidgetsAddons
    KF5::I18n
    KF5::ConfigGui
    KF5::Completion
    Qt::Gui
    Qt::Widgets)

install(TARGETS krdccore ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

# Install headers
set(krdccore_HDRS
    remoteviewfactory.h
    remoteview.h
    hostpreferences.h
)

install(FILES ${krdccore_HDRS} DESTINATION ${KDE_INSTALL_INCLUDEDIR}/krdc COMPONENT Devel)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/krdccore_export.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)
install(FILES krdc.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES krdc_plugin.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

=== rdp/CMakeLists.txt ===
add_library(krdc_rdpplugin)

target_sources(krdc_rdpplugin PRIVATE
    rdphostpreferences.cpp
    rdpviewfactory.cpp
    rdpview.cpp
)

kcoreaddons_desktop_to_json(krdc_rdpplugin krdc_rdp.desktop)

ki18n_wrap_ui(krdc_rdpplugin
    rdppreferences.ui
)

ecm_qt_declare_logging_category(krdc_rdpplugin
    HEADER krdc_debug.h
    IDENTIFIER KRDC
    CATEGORY_NAME KRDC
)

target_link_libraries(krdc_rdpplugin
    Qt::Core
    Qt::Gui
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::WindowSystem
    KF5::XmlGui
    krdccore
)

add_library(kcm_krdc_rdpplugin)

kcoreaddons_desktop_to_json(kcm_krdc_rdpplugin krdc_rdp_config.desktop)

target_sources(kcm_krdc_rdpplugin PRIVATE
    rdppreferences.cpp
)

target_link_libraries(kcm_krdc_rdpplugin
    Qt::Core
    Qt::Gui
    KF5::Wallet
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::XmlGui
    krdccore
)

add_dependencies(kcm_krdc_rdpplugin krdc_rdpplugin)

install(TARGETS kcm_krdc_rdpplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/krdc/kcms)
install(TARGETS krdc_rdpplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/krdc)

install(FILES krdc_rdp_config.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

install(FILES smb2rdc.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/ServiceMenus)

=== test/CMakeLists.txt ===
if(NOT NDEBUG)
    set(BUILD_TEST true)
endif()

if(NOT BUILD_TEST)
    return()
endif()

add_library(krdc_testplugin)

target_sources(krdc_testplugin PRIVATE
    testviewfactory.cpp
    testview.cpp
)

kcoreaddons_desktop_to_json(krdc_testplugin krdc_test.desktop)

target_link_libraries(krdc_testplugin
    Qt::Core
    KF5::Wallet
    KF5::ConfigCore
    KF5::I18n
    KF5::CoreAddons
    Qt::Gui
    krdccore
)

install(TARGETS krdc_testplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/krdc)

=== debian/changelog ===
krdc (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:14:59 +0000

krdc (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:21:33 +0000

krdc (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:29:23 +0000

krdc (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:26:34 +0000

krdc (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:10:38 +0000

krdc (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:21:44 +0000

krdc (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:29:03 +0000

krdc (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:44:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: krdc
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.0~),
@@ -29,8 +30,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/krdc
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdc
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdc.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
 
 Package: krdc
 Section: net

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -Skf5 -- -DHAVE_XFREERDP=true
 
-execute_after_dh_auto_install:
+override_dh_auto_install:
+	dh_auto_install
 	# Drop development files
 	rm -rf debian/krdc/usr/include/
 	find debian/krdc -name '*.so' -type l -delete

## krdc 22.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "1")

set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(krdc VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.15.0")
set (KF5_MIN_VERSION "5.90.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    KCMUtils
    DNSSD
    NotifyConfig
    Notifications
    Bookmarks
    IconThemes
    XmlGui
    Completion
    Wallet
    WidgetsAddons
    WindowSystem
    NotifyConfig
    I18n
)

find_package(KF5DocTools)

# use sane compile flags
add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_KEYWORDS
  -DQT_NO_FOREACH
)
ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX KRDC
    SOVERSION 5
    VERSION_HEADER krdc_version.h
)

if(WIN32)
    set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
    set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
endif(WIN32)

option(WITH_VNC "Enable VNC support." ON)
add_feature_info(VNC WITH_VNC "Building with support for the VNC protocol. Disable with -DWITH_VNC=NO")
option(WITH_RDP "Enable RDP support. Has additional runtime binary requirements!" ON)
add_feature_info(RDP WITH_RDP "Building with support for the RDP protocol. Disable with -DWITH_RDP=NO")

add_subdirectory(core)

if(WITH_VNC)
    find_package(LibVNCServer)
    set_package_properties(LibVNCServer PROPERTIES
        DESCRIPTION "VNC server / client library"
        URL "http://libvncserver.sourceforge.net/"
        PURPOSE "Needed to build VNC client support in KRDC"
        TYPE REQUIRED
    )

    find_package(LibSSH)
    set_package_properties(LibSSH PROPERTIES
        DESCRIPTION "ssh library"
        URL "https://libssh.org/"
        PURPOSE "Needed to build VNC+SSH tunnel support "
        TYPE OPTIONAL
    )
    add_subdirectory(vnc)
endif()

if(WITH_RDP)
    find_package(xfreerdp)
    set_package_properties(xfreerdp PROPERTIES
        DESCRIPTION "A free Remote Desktop Protocol (RDP) Implementation"
        URL "https://www.freerdp.com/"
        PURPOSE "The xfreerdp binary is needed for RDP support in KRDC (at runtime)"
        TYPE RUNTIME
    )
    add_subdirectory(rdp)
endif()

add_subdirectory(test)

if(KF5DocTools_FOUND)
    add_subdirectory(doc)
else()
    message("KF5DocTools not found. Not building documentation.")
endif()


add_executable(krdc)

target_compile_definitions(krdc PRIVATE -DBUILD_ZEROCONF)

target_sources(krdc PRIVATE
    config/hostpreferenceslist.cpp
    config/preferencesdialog.cpp
    floatingtoolbar.cpp
    bookmarkmanager.cpp
    connectiondelegate.cpp
    remotedesktopsmodel.cpp
    systemtrayicon.cpp
    tabbedviewwidget.cpp
    factorwidget.cpp
    mainwindow.cpp
    main.cpp

    krdc.qrc
)

ki18n_wrap_ui(krdc
    config/general.ui
)

ecm_qt_declare_logging_category(krdc
    HEADER krdc_debug.h
    IDENTIFIER KRDC
    CATEGORY_NAME KRDC
    DESCRIPTION "KRDC"
    EXPORT KRDC
)

target_link_libraries(krdc
    KF5::ConfigCore
    KF5::KCMUtils
    KF5::DNSSD
    KF5::NotifyConfig
    KF5::Bookmarks
    KF5::IconThemes
    KF5::XmlGui
    KF5::Completion
    KF5::WidgetsAddons
    KF5::NotifyConfig
    KF5::Notifications
    krdccore
)

install(TARGETS krdc ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.krdc.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.krdc.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)
if(KF5DocTools_FOUND)
    kdoctools_install(po)
endif()

ecm_qt_install_logging_categories(
    EXPORT KRDC
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
krdc (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:44:18 +0100

krdc (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:53:45 +0100

krdc (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:31:30 +0100

krdc (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:05:58 +0100

krdc (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:04:55 +0100

krdc (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:52:20 +0100
